@using Microsoft.AspNetCore.Identity
@using Domain.AspNet
@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager

x
@if (SignInManager.IsSignedIn(User))
{
    <ul class="nav navbar-nav navbar-right">
        <li>
            <a asp-area="Identity" asp-page="/Account/Manage/Index" title="Manage">Hello @UserManager.GetUserName(User)!</a>
        </li>
        <li>
            <a href="@Url.Action("Logout","Account")" class="btn btn-link navbar-btn navbar-link">Logout</a>
        </li>
    </ul>
}
else
{
    <ul class="nav navbar-nav navbar-right">
        <li><a asp-area="Identity" asp-page="/Account/Register">Register</a></li>
        <li><a asp-area="Identity" asp-page="/Account/Login">Login</a></li>
    </ul>
}